### Function

# Dex input_stream_skip

#### Declaration [src]

    DexFuture*
    dex_input_stream_skip (
      GInputStream* self,
      gsize count,
      int io_priority
    )

#### Description

No description available.

#### Parameters

`self`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  The number of bytes to skip.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the number of bytes skipped as a `gint64`.

The caller of the function takes ownership of the data, and is responsible for freeing it.